# $Revision: 1.32 $, $Date: 2005/05/07 19:22:12 $
Summary:	RVM library
Summary(pl):	Biblioteka RVM
Name:		rvm
Version:	1.11
Release:	1
License:	GPL
Group:		Development/Libraries
Source0:	ftp://ftp.coda.cs.cmu.edu/pub/rvm/src/%{name}-%{version}.tar.gz
# Source0-md5:	fe809bc28438b8975533c7278c15cb65
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	lwp-devel
BuildRequires:	lwp-static
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The RVM persistent recoverable memory library. The RVM library is used
by the Coda distributed filesystem.

%description -l pl
Biblioteka RVM odzyskiwalnej pamici. Jest uywana z systemem plikw
CODA.

%package tools
Summary:	RVM tools
Summary(pl):	Narzdzia RVM
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description tools
Userspace tools to initialize and manipulate RVM log and data
segments. The RVM library is used by the Coda distributed filesystem.

%description tools -l pl
Narzdzia do inicjalizacji i manipulacji log'ami RVM oraz segmentami
danych. Biblioteka RVM jest uywana z systemem plikw CODA.

%package devel
Summary:	RVM library development files
Summary(pl):	Pliki developerskie biblioteki RVM
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Headers and libraries for developing programs using the RVM library.
The RVM library is used by the Coda distributed filesystem.

%description devel -l pl
Pliki nagwkowe oraz biblioteki do tworzenia programw uywajcych
biblioteki RVM.

%package static
Summary:	Static RVM libraries
Summary(pl):	Statyczne biblioteki RVM
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libraries for developing programs using the RVM library. The
RVM library is used by the Coda distributed filesystem.

%description static -l pl
Statyczne biblioteki do tworzenia programw uywajcych bibliotek RVM.

%prep
%setup -q

%build
rm -f missing
touch ChangeLog AUTHORS README
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make} \
	OPTFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc NEWS
%attr(755,root,root) %{_libdir}/lib*.so.*.*

%files tools
%defattr(644,root,root,755)
%attr(755,root,root) %{_sbindir}/rvmutl
%attr(755,root,root) %{_sbindir}/rdsinit

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/rvm

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: rvm.spec,v $
Revision 1.32  2005/05/07 19:22:12  misi3k
- updated to 1.11

Revision 1.31  2005/04/29 16:11:49  qboosh
- strict internal deps, unified

Revision 1.30  2005/01/06 00:03:48  undefine
- up to 1.10 by Pawe Cyranek <czucz@mag-net.one.pl>

Revision 1.29  2004/10/31 17:23:11  paladine
- spaces->tabs
- formatting

Revision 1.28  2004/05/04 21:22:04  aredridel
- up to 1.9

Revision 1.27  2003/05/30 08:36:46  misi3k
- updated to 1.8

Revision 1.26  2003/05/26 16:25:52  malekith
- massive attack: adding Source-md5

Revision 1.25  2003/05/25 06:26:28  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.24  2003/02/07 07:24:14  trojan
- updated to 1.7

Revision 1.23  2002/11/30 23:00:27  juandon
- new %%doc

Revision 1.22  2002/11/25 14:18:45  ankry
- massive attack: no need for 755 for *.la

Revision 1.21  2002/10/09 13:14:46  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.20  2002/06/23 20:32:36  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.19  2002/05/21 23:14:40  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.18  2002/03/24 23:28:24  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.17  2002/02/23 04:32:21  kloczek
- adapterized.

Revision 1.16  2002/02/22 23:29:42  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.15  2002/02/19 18:53:35  gotar
- %desc

Revision 1.14  2002/02/02 20:37:21  ankry
- adding es/fr/pt_BR/ru/uk (and eventually de) Group translations

Revision 1.13  2002/01/18 02:14:50  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.12  2001/10/07 13:22:43  blues
- translations
- BR added

Revision 1.11  2001/08/08 21:27:51  kloczek
- added automake, autoconf, libtool to BuildRequires.

Revision 1.10  2001/08/06 10:10:53  waszi
- updated to 1.6

Revision 1.9  2001/05/02 16:29:12  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.8  2000/11/16 11:23:06  agaran
Cosmetics

Revision 1.7  2000/11/15 22:08:46  agaran
typo++

Revision 1.6  2000/11/15 21:49:45  agaran
typo

Revision 1.5  2000/11/15 21:26:22  agaran
Extension for source0 .tar.gz->.tgz

Revision 1.4  2000/11/15 21:01:07  agaran
Updated to cvs version of rvm. not tested (yet)

Revision 1.3  2000/11/12 04:03:56  kloczek
- updated to 1.2.

Revision 1.2  2000/10/05 19:30:30  kloczek
- adapterized and some simplifications in %build, %install nad %files,
- pass /sbin/lconfig as -p parameter in %post/%postun.

Revision 1.1  2000/10/05 08:48:59  pascalek
- initial revision
